libmateweather (1.26.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Jan 2024 07:56:15 +0100

libmateweather (1.26.2-1) unstable; urgency=medium

  * New upstream release.
    - Update URL of Aviation Weather data provider. (Closes: #1054248,
      #1054268).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/patches:
    + Drop timezone.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 31 Oct 2023 07:58:05 +0100

libmateweather (1.26.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update spelling of Kiev/Kyiv to match tzdata (Closes: #1017304)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 15 Oct 2022 17:45:15 +0200

libmateweather (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/watch:
    + Use format version 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 10 Dec 2021 23:02:01 +0100

libmateweather (1.24.1-2) unstable; urgency=medium

  * debian/watch:
    + Switch watching over to git.mate-desktop.org.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 13:42:20 +0200

libmateweather (1.24.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release
  * debian/patches:
    + Drop 1001_adapt-to-timezone-namechange-for-America-Nuuk.patch. Applied
      upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 23:20:54 +0200

libmateweather (1.24.0-2) unstable; urgency=medium

  [ Pablo Barciela ]
  * debian/patches:
    + Add 1001_adapt-to-timezone-namechange-for-America-Nuuk.patch. (Closes
      #959545).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Jun 2020 09:54:47 +0200

libmateweather (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/changelog:
    + Fix missing entry in previous stanza.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Add B-D autoconf-archive.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Feb 2020 11:17:34 +0100

libmateweather (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/watch:
    + Switch to orig tarball download from Github. The site
      git.mate-desktop.org behaved weirdly, recently.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Sep 2019 19:38:01 +0200

libmateweather (1.22.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/rules:
    + Add --enable-all-translations-in-one-xml to shave
      10MB of the size of libmateweather-common.

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Jul 2019 14:00:03 +0200

libmateweather (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + White-space cleanup at EOF.
  * debian/libmateweather1.symbols:
    + Add Build-Depends-Package: meta-data field.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Jan 2019 21:43:21 +0100

libmateweather (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
    + Drop P (from libmateweather1): libmateweather. (Closes: #898956).
      Drop C (from libmateweather1): libmateweather (having B:/R: is
      sufficient).
  * debian/copyright:
    + Use secure URI for copyright format.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 14:08:58 +0200

libmateweather (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control:
    + Drop B-D autotools-dev. Since compatibility level 10, debhelper enables
      the autoreconf sequence by default. (Already in 1.19.1-0ubuntu1).
  * debian/copyright:
     + Update copyright attributions. (Already in 1.19.1-0ubuntu1).

  [ Mike Gabriel ]
  * debian/{control,compat}:
    + Bump DH version level to 11.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

  [ Vangelis Mouhtsis ]
  * debian/control (all already in 1.19.1-0ubuntu1):
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2018 22:38:44 +0100

libmateweather (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:55 +0000

libmateweather (1.19.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 22:05:06 +0000

libmateweather (1.18.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 09:50:52 +0100

libmateweather (1.18.1-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream release.

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/copyright: Update copyright attributions.
  * debian/control: Dependencies updated for MATE 1.18.

  [ Vangelis Mouhtsis ]
  * New upstream release.
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new block for override_dh_missing.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jul 2017 00:18:16 +0200

libmateweather (1.16.1-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D: tzdata. (Closes: #848742).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Dec 2016 00:12:40 +0100

libmateweather (1.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_adapt-to-timezone-namechange-for-Asia-Yangon.patch. Fixed
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Nov 2016 15:29:09 +0100

libmateweather (1.16.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/watch:
    + Update version matching again to _not_ support development releases.
  * debian/patches:
    + Add 1001_adapt-to-timezone-namechange-for-Asia-Yangon.patch. In tzdata
      2016g-1, the Asia/Rangoon timezone has been renamed to Asia/Yangon.
      (Closes: #839341).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 01 Oct 2016 15:46:08 +0200

libmateweather (1.15.1-0ubuntu1) yakkety; urgency=medium

  * New upstream development release.
    debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:46 +0100

libmateweather (1.14.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (Closes: #836975).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 13 Sep 2016 09:20:57 +0200

libmateweather (1.14.1-1) unstable; urgency=high

  [ Martin Wimpress ]
  * New upstream release. (LP: #1616533).
  * debian/copyright:
    + Update copyright attributions.
  * debian/changelog:
    + Update urgency to high.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    + dbgsym: Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Aug 2016 12:57:42 +0200

libmateweather (1.14.0-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
    + Add myself to Uploaders: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Bump Standards: to 3.9.7. No changes needed.
    + Versioned B-D: mate-common (>= 1.14)
    + B-D: libgtk-3-dev
    + Add to D (libgtk-3-dev): libmateweather-dev.
  * debian/rules:
    + Add --with-gtk=3.0

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 May 2016 16:00:01 +0200

libmateweather (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/copyright:
    + Fix format, add missing Comment: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Dec 2015 15:50:21 +0100

libmateweather (1.10.0-1) unstable; urgency=low

  [ Martin Wimpress ]
  * debian/control:
    + Remove Python dependencies because the bindings are not built.

  [ John Paul Adrian Glaubitz ]
  * Fix minor typo in debian/control (missing hyphen).
  * Upload to unstable.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 05 Aug 2015 11:11:35 +0200

libmateweather (1.10.0-1~exp1) experimental; urgency=low

  [ Martin Wimpress ]
  * New upstream release.
  * debian/libmateweather-dev.install:
    + Processed with wrap-and-sort.
  * debian/control:
    + Processed with wrap-and-sort.

  [ Mike Gabriel ]
  * debian/copyright:
    + Really mention all upstream files.
  * debian/control:
    + Drop from Pre-D (libmateweather1): multiarch-support.
    + Versioned B-D: mate-common (>= 1.10).
    + Add Martin Wimpress to Uploaders: field.
  * debian/patches:
    + Add 1001_no-timestamped-gzips.patch. Support reproducible builds, no
      timestamps in .gz files.

  [ Vangelis Mouthsis ]
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
  * debian/rules:
    + Remove non-packaged *.la files after build.
    + Replace on dh_install --list-missing -> --fail-missing.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Jun 2015 23:29:19 +0200

libmateweather (1.8.0-2) unstable; urgency=low

  * debian/control:
    + Add Breaks:'n'Replaces: fields for previous dbg:packages.
  * debian/copyright:
    + Point to git.mate-desktop.org in Source: field.
  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Apr 2014 15:40:53 +0200

libmateweather (1.8.0-1) unstable; urgency=low

  * New upstream released.
  * debian/watch:
    + Use tagged CGit tarball snapshots as upstream source.
  * debian/control:
    + Rename libmateweather-dbg to libmateweather1-dbg.
    + Improve bin:packages' LONG_DESCRIPTION texts.
  * debian/rules:
    + Build package using autogen.sh.
  * debian/copyright:
    + Adapt copyright file to new upstream release.
  * lintian: Drop unused overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Mar 2014 12:55:19 +0100

libmateweather (1.6.2-2) unstable; urgency=low

  * Use dh-autoreconf to fix FTBFS on ppc64el. (Closes: #733840).
  * Bump Standards: to 3.9.5 (no changes needed).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Jan 2014 23:22:12 +0100

libmateweather (1.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #726405).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Oct 2013 01:38:48 +0200
